Bug 1305498 - [Docs][PPC64LE][Release Note Only] - ppc64le hypervisors do not have memory hotplug support
[Docs][PPC64LE][Release Note Only] - ppc64le hypervisors do not have memory h...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.6.0
ppc64le Unspecified
unspecified Severity high
: ovirt-3.6.3
: ---
Assigned To: rhev-docs@redhat.com
rhev-docs@redhat.com
: Automation
Depends On: 1304300 1305398 1305400 1282833 1285474 1304354 1305399
Blocks: 1284775 RHEV3.6PPC 1272742
  Show dependency treegraph
 
Reported: 2016-02-08 07:38 EST by Michal Skrivanek
Modified: 2016-08-01 10:11 EDT (History)
22 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
Large virtual machines have a significant overhead on Red Hat Enterprise Linux hosts on IBM POWER8 hardware, which is not accounted for when scheduling the virtual machine. 1/128th of the virtual machine memory size is required to be available on the host as a consecutive non-swapped block of memory. The end-user effect is that sometimes virtual machines do not run, even though the memory on the host seems to be sufficient. The default maximum memory size for a Red Hat Enterprise Linux host on IBM POWER8 hardware is 1TB. Memory hot plugging is disabled by default, but can be enabled using the engine-config utility.
Story Points: ---
Clone Of: 1284775
Environment:
Last Closed: 2016-03-10 02:13:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Docs
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Skrivanek 2016-02-08 07:38:43 EST
we need to document the difference from x86 implementation

+++ This bug was initially created as a clone of Bug #1284775 +++

Temporarily disable hotplug memory support until issues (e.g. bug 1282833, bug 1273491, bug 1272742) are sorted out, then enable it:)

+++ This bug was initially created as a clone of Bug #1282833 +++

--- Additional comment from David Gibson on 2015-11-25 00:25:17 CET ---

AFAICT only bug 1282833 is ppc64 specific, the other two appear to be x86 as well.  Is that correct?

--- Additional comment from Michal Skrivanek on 2015-11-26 13:41:44 CET ---

so now we have the initial state of hotplug RAM not being enabled on POWER (patch 49072 in the closest to-be-published release).

From now on the bug tracks the required changes (or platform deliverables) to be able to enable it again and match x86 parity as soon as it is deemed stable

--- Additional comment from Michal Skrivanek on 2015-11-26 13:45:55 CET ---

(In reply to David Gibson from comment #1)
> AFAICT only bug 1282833 is ppc64 specific, the other two appear to be x86 as
> well.  Is that correct?

right. however there are more situations, now QE run into bug 1285474, which I believe is the same thing about qemu memory hash tables being too large, just this time exposed on migration flow

--- Additional comment from Michal Skrivanek on 2016-02-03 15:21:57 CET ---

we tested that on current 7.2, still problematic (see related bugs), so we are going to keep hotplug disabled for now until the root issue is resolved

--- Additional comment from Michal Skrivanek on 2016-02-08 13:33:08 CET ---

moving to 4.0 as the bugs this one depends on are heavily in progress and won't be ready before RHEL 7.3
Comment 1 Lucy Bopf 2016-02-15 22:51:44 EST
This bug has been identified as a tracker for a known issue to be added to the 3.6 Release Notes document. The 'Doc Type' field and 'Doc Text' have been updated accordingly.
Comment 2 Lucy Bopf 2016-03-10 02:13:14 EST
This release note has now been published in the Known Issues section of the Release Notes:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.6/html/Release_Notes/Known_Issues.html

Note You need to log in before you can comment on or make changes to this bug.